CVE-2001-0387
CVSS7.2
发布时间 :2001-07-02 00:00:00
修订时间 :2008-09-05 16:23:58
NMCO    

[原文]Format string vulnerability in hfaxd in HylaFAX before 4.1.b2_2 allows local users to gain privileges via the -q command line argument.


[CNNVD]HylaFAX格式字符串漏洞(CNNVD-200107-039)

        HylaFAX 4.1.b2_2之前版本中的hfaxd存在格式字符串漏洞。本地用户可以借助-q命令行参数提升权限。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:hylafax:hylafax:4.0_pl2
cpe:/a:hylafax:hylafax:4.0_pl1
cpe:/a:hylafax:hylafax:4.0_pl0
cpe:/a:hylafax:hylafax:4.1_beta2
cpe:/a:hylafax:hylafax:4.1_beta3
cpe:/a:hylafax:hylafax:4.1_beta1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-0387
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-0387
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200107-039
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/2574
(VENDOR_ADVISORY)  BID  2574
http://www.linux-mandrake.com/en/security/2001/MDKSA-2001-041.php3
(VENDOR_ADVISORY)  MANDRAKE  MDKSA-2001:041
http://lists.suse.com/archives/suse-security-announce/2001-Apr/0005.html
(VENDOR_ADVISORY)  SUSE  SuSE-SA:2001:15
http://archives.neohapsis.com/archives/bugtraq/2001-04/0236.html
(VENDOR_ADVISORY)  BUGTRAQ  20010415 **SECURITY ADVISORY** - HylaFAX format string vulnerability
http://www.securityfocus.com/archive/1/175963
(VENDOR_ADVISORY)  BUGTRAQ  20010412 HylaFAX vulnerability
http://xforce.iss.net/static/6377.php
(UNKNOWN)  XF  hylafax-hfaxd-format-string(6377)
http://www.osvdb.org/5679
(UNKNOWN)  OSVDB  5679
http://archives.neohapsis.com/archives/freebsd/2001-04/0606.html
(UNKNOWN)  FREEBSD  FreeBSD-SA-01:34

- 漏洞信息

HylaFAX格式字符串漏洞
高危 格式化字符串
2001-07-02 00:00:00 2005-05-02 00:00:00
本地  
        HylaFAX 4.1.b2_2之前版本中的hfaxd存在格式字符串漏洞。本地用户可以借助-q命令行参数提升权限。

- 公告与补丁

        

- 漏洞信息

5679
HylaFAX hfaxd -q Command Line Format String
Local Access Required, Local / Remote, Context Dependent Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

HylaFax contains a flaw that may allow a malicious user to gain access to unauthorized privileges. The issue is triggered when user input is supplied to the hfaxd binary and syslog() is called. By default, the hfaxd binary is installed setuid root with 'Everyone' access. This flaw may lead to a loss of confidentiality and integrity.

- 时间线

2001-04-12 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 4.1.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站